#!/bin/sh
if [ $# = 1 ]; then
	if [ -d $1 ]; then
		#
		# Generate script for adding symbolic links
		#
		echo '#!/bin/sh' > $1/bin/createLinks.sh;
		chmod 755 $1/bin/createLinks.sh;
		ls $1/lib/lib* 2>/dev/null | sed 's/\(.*\)\/\(.*\)/ln -s \1\/\2 \/usr\/lib\/\2/' >> $1/bin/createLinks.sh;
		echo "ln -s $1/lib/libxerces-c.so.24.0 $1/lib/libxerces-c.so.24" >> $1/bin/createLinks.sh;
		echo "ln -s $1/lib/libxerces-c.so.24 $1/lib/libxerces-c.so" >> $1/bin/createLinks.sh;
		
		#
		# Generate script for removing symbolic links
		#
		echo '#!/bin/sh' > $1/bin/removeLinks.sh;
		chmod 755 $1/bin/removeLinks.sh;
		ls $1/lib/lib* 2>/dev/null | sed 's/.*\/\(.*\)/rm -f \/usr\/lib\/\1/' >> $1/bin/removeLinks.sh;
		echo "rm -f $1/lib/libxerces-c.so" >> $1/bin/removeLinks.sh;
		echo "rm -f $1/lib/libxerces-c.so.24" >> $1/bin/removeLinks.sh;
	else
		echo 'Generate scripts for adding and removing symbolic links';
		echo 'Usage: symlinks.sh <install location>';
	fi
else
	echo 'Generate scripts for adding and removing symbolic links';
	echo 'Usage: symlinks.sh <install location>';
fi

